Loading...
Searching...
No Matches
ident Struct Reference

`#include <kmp.h>`

## Public Attributes

kmp_int32 | reserved_1
kmp_int32 | flags
kmp_int32 | reserved_2
kmp_int32 | reserved_3
char const * | psource

## Detailed Description

The ident structure that describes a source location.

Definition at line 234 of file kmp.h.

## Member Data Documentation

## flags

kmp_int32 ident::flags

also f.flags; KMP_IDENT_xxx flags; KMP_IDENT_KMPC identifies this union member

Definition at line 236 of file kmp.h.

Referenced by __kmpc_end_serialized_parallel(), and __kmpc_for_static_fini().

## psource

char const* ident::psource

String describing the source location. The string is composed of semi-colon separated fields which describe the source file, the function and a pair of line numbers that delimit the construct.

Definition at line 244 of file kmp.h.

Referenced by __kmpc_ok_to_fork().

## reserved_1

kmp_int32 ident::reserved_1

might be used in Fortran; see above

Definition at line 235 of file kmp.h.

## reserved_2

kmp_int32 ident::reserved_2

not really used in Fortran any more; see above

Definition at line 238 of file kmp.h.

## reserved_3

kmp_int32 ident::reserved_3

source[4] in Fortran, do not use for C++

Definition at line 243 of file kmp.h.

The documentation for this struct was generated from the following file:

- kmp.h